Summary:	GUI ACL utility for the Linux NFSv4 client
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do ACL dla linuksowego klienta NFSv4
Name:		nfs4-acl-tools-gui
Version:	0.3.4
Release:	1
License:	BSD
Group:		X11/Applications
Source0:	http://linux-nfs.org/~bfields/nfs4-acl-tools/nfs4-acl-tools-%{version}.tar.gz
# Source0-md5:	b72a83514cae9c754e64c3b266142eec
Patch0:		%{name}-strlcpy.patch
Patch1:		%{name}-system-libs.patch
URL:		http://linux-nfs.org/
BuildRequires:	QtGui-devel >= 4.1.4
BuildRequires:	attr-devel
BuildRequires:	nfs4-acl-tools-devel >= %{version}
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUI ACL utility for the Linux NFSv4 client.

%description -l pl.UTF-8
Graficzny interfejs użytkownika do ACL dla linuksowego klienta NFSv4.

%prep
%setup -q -n nfs4-acl-tools-%{version}
%patch0 -p1
%patch1 -p1

%build
cd GUI/nfs4-acl-editor
qmake-qt4 \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install GUI/nfs4-acl-editor/nfs4-acl-editor $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nfs4-acl-editor
%changelog
* Tue Aug 28 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nfs4-acl-tools-gui.git;a=log;h=auto/th/nfs4-acl-tools-gui-0.3.4-1

* Tue Aug 28 2018 Jakub Bogusz <qboosh@pld-linux.org> ae410aa
- saving last version of nfs4-acl-tools GUI part
- added system-libs patch to build with up to date nfs4-acl-tools library

* Mon Aug 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 16c1852
- new URLs, updated to 0.3.4
- updated strlcpy patch (strlcpy is no longer used, but strncpy call looks suspicious)

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> d8e9bf6
- updated to 0.3.3
- added strlcpy patch (fixes GUI build on Linux)
- Qt 4 no longer enforces GPL, so gui builds are BSD-licensed

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 08e7d27
- qt4-qmake -> qmake-qt4

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> c6ed939
- gui is GPL when compiled with free Qt

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> f065fc6
- new

